# This makefile assumes, that TASM is renamed to GASM, and TASM69.TAB is
# renamed to TASMGB.TAB

# I'm using RGBFIX from the RGBDS package to fix the image's header.
# When I have some time left, I'll modify the asm-files to use RGBASM.

gbd12.zip: gbdemo.asm gbdemo.gb gbdemo.mak gbdemo.gif
	pkzip -ex gbd12.zip gbdemo.asm gbdemo.gb gbdemo.mak gbdemo.gif

gbdemo.gb: gbdemo.asm decomp.inc gbdemo.pch gbdemo.fch
	gasm -tGB -b -s -c gbdemo.asm
	sym2l gbdemo.sym gbdemo.l
	del gbdemo.gb
	ren gbdemo.obj gbdemo.gb
	rgbfix -p -v gbdemo.gb
	del gbdemo.sym
	del gbdemo.lst

# This generates a 128 x 128 APA picture
gbdemo.pch: gbdemo.gif
	gif2gb gbdemo.gif -s=128,128 -p
	comp gbdemo.p gbdemo.pc
	dump gbdemo.pc gbdemo.pch
	del gbdemo.p
	del gbdemo.pc

# This generates a 160 x 144 picture, that requires a special font + map
gbdemo.fch: gbdemo.gif
	gif2gb gbdemo.gif -s=160,144 -f -m
	comp gbdemo.f gbdemo.fc
	dump gbdemo.fc gbdemo.fch
	dump gbdemo.m gbdemo.mh
	del gbdemo.f
	del gbdemo.fc
	del gbdemo.m
